Here’s the latest that seems to work for me:

brew cask install emacs

This installed version 25.1.1 on 14 Nov 2016.